UiPath Documentation
automation-suite
2.2510
true
Automation Suite API 指南
重要 :
请注意,此内容已使用机器翻译进行了部分本地化。 新发布内容的本地化可能需要 1-2 周的时间才能完成。

列出所有外部客户端

使用 Identity API 检索 Automation Suite 组织的所有外部 OAuth 客户端列表,包括所需的作用域和响应架构。

获取组织的外部客户端完整列表。

API 端点

GET https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}

作用域

需要以下任一作用域:

  • PM.OAuthApp
  • PM.OAuthApp.Read

请求标头

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:

要获取{access_token} ,请确保通过身份验证方法中描述的其中一种方法进行身份验证。

请求正文

请求正文包含要从中检索外部客户端的组织 ID。

{
  "partitionGlobalId": "<organizationId>"
}
{
  "partitionGlobalId": "<organizationId>"
}

响应

200 成功

已成功检索到给定组织的外部客户端列表。

[
  {
    "name": "string",
    "id": "string",
    "secret": "string",
    "isConfidential": true,
    "redirectUri": "string",
    "resources": [
      {
        "name": "string",
        "displayName": "string",
        "description": "string",
        "scopes": [
          {
            "name": "string",
            "displayName": "string",
            "description": "string",
            "type": "user"
          }
        ]
      }
    ],
    "secrets": [
      {
        "id": 0,
        "description": "string",
        "secret": "string",
        "creationTime": "2025-07-18T12:52:37.566Z",
        "expiryTime": "2025-07-18T12:52:37.566Z"
      }
    ]
  }
]
[
  {
    "name": "string",
    "id": "string",
    "secret": "string",
    "isConfidential": true,
    "redirectUri": "string",
    "resources": [
      {
        "name": "string",
        "displayName": "string",
        "description": "string",
        "scopes": [
          {
            "name": "string",
            "displayName": "string",
            "description": "string",
            "type": "user"
          }
        ]
      }
    ],
    "secrets": [
      {
        "id": 0,
        "description": "string",
        "secret": "string",
        "creationTime": "2025-07-18T12:52:37.566Z",
        "expiryTime": "2025-07-18T12:52:37.566Z"
      }
    ]
  }
]
  • API 端点
  • 作用域
  • 请求标头
  • 请求正文
  • 响应
  • 200 成功

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新